Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.register.learning.db
Interface PeerInteractionsDataBase

All Known Implementing Classes:
  DummyPeerInteractionsDataBase

    public interface PeerInteractionsDataBase

Author:
  Cyril Briquet

Field Summary
`static int` | `TRAINING_SET_SIZE`

Method Summary
`void` | `addConsumptionInteraction(TaskSchedulingContext tsc, boolean is_task_completed, boolean is_predict_correct)`
`void` | `addSupplyingInteraction(TaskSchedulingContext tsc)`
`TaskSchedulingContextFactory` | `createTaskSchedulingContextFactory(PeerProfile profiled_peer_profile)` Does not create a new TaskSchedulingContextFactory.

Field Detail

### TRAINING_SET_SIZE

    static final int TRAINING_SET_SIZE

See Also:
  Constant Field Values

Method Detail

### createTaskSchedulingContextFactory

    TaskSchedulingContextFactory createTaskSchedulingContextFactory(PeerProfile profiled_peer_profile)
                                                                    throws GridException

  Does not create a new TaskSchedulingContextFactory.

  Can be called at most once.

  Returns:
    new TaskSchedulingContextFactory
  Throws:
    `GridException` - if a parameter is illegal, or method has been called more than once

### addSupplyingInteraction

    void addSupplyingInteraction(TaskSchedulingContext tsc)
                                 throws GridException

  Throws:
    `GridException`

### addConsumptionInteraction

    void addConsumptionInteraction(TaskSchedulingContext tsc,
                                   boolean is_task_completed,
                                   boolean is_predict_correct)
                                   throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.